=== debian/changelog ===
haxe (1:4.0.5-1) unstable; urgency=medium

  * New upstream version.

 -- Andy Li <andy@onthewings.net>  Wed, 18 Dec 2019 03:29:59 +0800

haxe (1:4.0.3-1) unstable; urgency=medium

  * New upstream version.

 -- Andy Li <andy@onthewings.net>  Fri, 29 Nov 2019 23:31:54 +0800
