=== debian/control ===
Source: haxe
Section: devel
Priority: optional
Maintainer: Andy Li <andy@onthewings.net>
Standards-Version: 4.4.1
Build-Depends: debhelper (>= 9),
               dh-ocaml,
               ocaml-nox,
               ocaml-findlib,
               camlp5,
               libxml-light-ocaml-dev,
               libsedlex-ocaml-dev (>= 2.0),
               libextlib-ocaml-dev,
               libptmap-ocaml-dev,
               libsha-ocaml-dev,
               neko (>= 2.3.0),
               zlib1g-dev,
               libpcre3-dev,
               bash-completion
Vcs-Git: https://github.com/HaxeFoundation/haxe-debian.git
Vcs-Browser: https://github.com/HaxeFoundation/haxe-debian
Homepage: https://haxe.org

Package: haxe
Architecture: any
Depends: neko (>= 2.0.0),
         ${misc:Depends},
         ${ocaml:Depends},
         ${shlibs:Depends}
Description: multi-target universal programming language
 Haxe is an open source toolkit based on a modern,
 high level, strictly typed programming language, a cross-compiler,
 a complete cross-platform standard library and ways to access each
 platform's native capabilities.
