=== debian/control ===
--- 
+++ 
@@ -3,16 +3,18 @@
 Priority: optional
 Maintainer: Andy Li <andy@onthewings.net>
 Standards-Version: 4.4.1
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                dh-ocaml,
                ocaml-nox,
                ocaml-findlib,
+               ocaml-dune,
                camlp5,
                libxml-light-ocaml-dev,
                libsedlex-ocaml-dev (>= 2.0),
                libextlib-ocaml-dev,
                libptmap-ocaml-dev,
                libsha-ocaml-dev,
+               libmbedtls-dev,
                neko (>= 2.3.0),
                zlib1g-dev,
                libpcre3-dev,
