## haxe 4.1.1

=== debian/changelog ===
haxe (1:4.1.1-1) unstable; urgency=medium

  * New upstream version.
  * Remove version.ml.diff patch, which was integrated in this
    version already.
  * Bump Standards-Version to 4.5.0 (no changes).

 -- Andy Li <andy@onthewings.net>  Mon, 25 May 2020 11:43:10 +0800
