=== debian/changelog ===
haxe (1:4.1.5-1) unstable; urgency=medium

  * New upstream version.

 -- Andy Li <andy@onthewings.net>  Tue, 05 Jan 2021 22:45:12 +0800

haxe (1:4.1.4-1) unstable; urgency=medium

  * New upstream version.

 -- Andy Li <andy@onthewings.net>  Sun, 20 Sep 2020 23:24:55 +0800
