=== debian/tests/control ===
Tests: interp, haxelib
Depends: @
