=== debian/changelog ===
haxe (1:4.2.4-1build1) jammy; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 18 Feb 2022 12:04:14 +0100

haxe (1:4.2.4-1) unstable; urgency=medium

  * New upstream version.

 -- Andy Li <andy@onthewings.net>  Sat, 27 Nov 2021 15:25:32 +0800

haxe (1:4.2.3-1) experimental; urgency=medium

  * New upstream version.

 -- Andy Li <andy@onthewings.net>  Sat, 03 Jul 2021 17:57:10 +0800

haxe (1:4.2.2-1) experimental; urgency=medium

  * New upstream version.
  * Update d/watch.

 -- Andy Li <andy@onthewings.net>  Mon, 07 Jun 2021 16:53:59 +0800

haxe (1:4.2.1-1) experimental; urgency=medium

  * New upstream version.

 -- Andy Li <andy@onthewings.net>  Sat, 27 Feb 2021 15:43:18 +0800

haxe (1:4.2.0-1) experimental; urgency=medium

  * New upstream version.

 -- Andy Li <andy@onthewings.net>  Fri, 12 Feb 2021 12:57:25 +0800
