=== debian/control ===
--- 
+++ 
@@ -14,6 +14,8 @@
                libextlib-ocaml-dev,
                libptmap-ocaml-dev,
                libsha-ocaml-dev,
+               libluv-ocaml-dev (>= 0.5.6),
+               libuv1-dev,
                libmbedtls-dev,
                neko (>= 2.3.0),
                zlib1g-dev,
