=== debian/watch ===
version=3
opts="uversionmangle=s/-/~/g"\
 https://github.com/HaxeFoundation/haxe/releases/latest .*/archive/refs/tags/(\d\S*)\.tar\.gz
