=== debian/changelog ===
haxe (1:4.3.3-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:56:16 +1100

haxe (1:4.3.3-1build1) noble; urgency=medium

  * No-change rebuild against libuv1 t64.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Mar 2024 19:44:54 +0100

haxe (1:4.3.3-1) unstable; urgency=medium

  * New upstream version.

 -- Andy Li <andy@onthewings.net>  Sat, 18 Nov 2023 14:20:38 +0000
