=== debian/control ===
--- 
+++ 
@@ -1,25 +1,26 @@
 Source: haxe
 Section: devel
 Priority: optional
-Maintainer: Andy Li <andy@onthewings.net>
-Standards-Version: 4.6.1
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Andy Li <andy@onthewings.net>
+Standards-Version: 4.6.2
 Build-Depends: debhelper (>= 10),
                dh-ocaml,
                ocaml-nox,
                ocaml-findlib,
-               ocaml-dune,
+               ocaml-dune (>= 3),
                camlp5,
                libxml-light-ocaml-dev,
                libsedlex-ocaml-dev (>= 2.0),
                libextlib-ocaml-dev,
                libptmap-ocaml-dev,
                libsha-ocaml-dev,
-               libluv-ocaml-dev (>= 0.5.6),
+               libluv-ocaml-dev (>= 0.5.12),
                libuv1-dev,
                libmbedtls-dev,
                neko (>= 2.3.0),
                zlib1g-dev,
-               libpcre3-dev,
+               libpcre2-dev,
                bash-completion
 Vcs-Git: https://github.com/HaxeFoundation/haxe-debian.git
 Vcs-Browser: https://github.com/HaxeFoundation/haxe-debian
