=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: haxe
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Andy Li <andy@onthewings.net>
+Maintainer: Andy Li <andy@onthewings.net>
 Standards-Version: 4.6.2
 Build-Depends: debhelper (>= 10),
                dh-ocaml,
