=== debian/changelog ===
haxe (1:4.3.6-3) unstable; urgency=medium

  * Fix changelog of 1:4.3.6-2. (Closes: #1082569, #1093103)

 -- Andy Li <andy@onthewings.net>  Sun, 09 Feb 2025 21:36:28 +0000

haxe (1:4.3.6-2) unstable; urgency=medium

  * Add ocaml5.3.patch for compatibility with OCaml 5.3.
    (Closes: #1082569, #1093103)

 -- Andy Li <andy@onthewings.net>  Sun, 09 Feb 2025 01:46:34 +0000

haxe (1:4.3.6-1) unstable; urgency=medium

  * New upstream version.
  * Add makefile-haxelib.patch to build haxelib with proper flags.
  * Strip haxelib, which is now a proper binary.
  * Bump Standards-Version to 4.7.0 (no changes).

 -- Andy Li <andy@onthewings.net>  Sun, 18 Aug 2024 05:59:19 +0100

haxe (1:4.3.4-2) unstable; urgency=medium

  * Add mbedtls3.patch from upstream (Closes: #1075827).

 -- Andy Li <andy@onthewings.net>  Sat, 06 Jul 2024 08:52:59 +0100
