=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: devel
 Priority: optional
 Maintainer: Andy Li <andy@onthewings.net>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Build-Depends: debhelper (>= 10),
                dh-ocaml,
                ocaml-nox,
@@ -18,6 +18,7 @@
                libuv1-dev,
                libmbedtls-dev,
                neko (>= 2.3.0),
+               neko-dev (>= 2.3.0),
                zlib1g-dev,
                libpcre2-dev,
                bash-completion
